
/*
 * Headerfile for the Main Window with preferences
 * Copyright (c) 1998 - Stig Erik Sand
 *
 * $Id: PrefDialog.h,v 1.9 1998/05/23 20:30:49 stig Exp $
 */

#ifndef PrefDialog_included
#define PrefDialog_included

#include "PrefDialogData.h"

class PaintArea;

class PrefDialog : public PrefDialogData
{
    Q_OBJECT
friend class PaintArea;
    
public:

    PrefDialog(QWidget* parent = NULL, const char* name = NULL);
    virtual ~PrefDialog();

 protected slots:
    virtual void saveVars();
    virtual void getInfile();
    virtual void getOutfile();
    virtual void getStatfile();

 private:
    PaintArea *paintarea;
    int tileSizeX, tileSizeY, splitX, splitY;
    const char *infilename;
    const char *outfilename;
    const char *statfilename;
    int origdisp, contdisp, colsubst, dcheck, pcheck, altsize;
};

#endif // PrefDialog_included
