#ifndef PAINTAREA_H
#define PAINTAREA_H

/*
 * Class declaration for the paintining area
 * Copyright (c) 1998 - Stig Erik Sand
 *
 * $Id: paintarea.H,v 1.10 1998/04/25 11:14:25 stig Exp $
 */

#include "shake.H"
#include <qwidget.h>
#include <qpixmap.h>

class SmallPicture;
class MosaicPicture;
class PrefDialog;
class QPopupMenu;
class MosaicPicture;
class PrefDialog;
class QImage;
class QPixmap;
class PicturePart;

class PaintArea : public QWidget {
    Q_OBJECT
public:
    PaintArea(const char* name, PrefDialog*);
    ~PaintArea();

    void setNewSize(int w, int h) { resize(w+MY_BORDER*2, h+MY_BORDER*2); }
    void displayPicture();
    void displayPicture(QImage *);
public slots:
    void startProcess();
    void pasteInAlternative(int);
    void splitInfile();    
protected:
    void displaySmallPicture(QPainter*, int, int, const int*);
    QPixmap getPixmap(const SmallPicture&);
    virtual void paintEvent ( QPaintEvent * );
    int usedPictures(int) const;
    
protected slots:
    void mousePressEvent(QMouseEvent *);
    void saveAsPrintable();
    
private:
    QPopupMenu *popmen, *pictlist;
    MosaicPicture *thepic;
    PrefDialog *prefs;
    SmallPicture *small;
    QImage *image;
    QPixmap *pixmaps;
    int **picture;
    unsigned int len;
    int whichtile;
    const PicturePart *parts;
    QPixmap *thepixmap;
};

#endif /* PAINTAREA_H */
